# cnd_broadcast

From cppreference.com
< c‎ | thread

Defined in header `<threads.h>` |  |
int cnd_broadcast( cnd_t *cond ); |  | (since C11)

Unblocks all thread that currently wait on condition variable pointed to by `cond`. If no threads are blocked, does nothing and returns `thrd_success`.

### Parameters

cond | - | pointer to a condition variable

### Return value

thrd_success if successful, thrd_error otherwise.

### References

- C11 standard (ISO/IEC 9899:2011):

  - 7.26.3.1 The cnd_broadcast function (p: 378)

### See also

cnd_signal (C11) | unblocks one thread blocked on a condition variable (function)
C++ documentation for notify_all

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=c/thread/cnd_broadcast&oldid=90315"